Get visibility overview
curl --request GET \
--url https://services.deepsmith.ai/core/api/external/v1/visibility/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.deepsmith.ai/core/api/external/v1/visibility/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.deepsmith.ai/core/api/external/v1/visibility/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 2460,
"data": {
"range": "30d",
"mention_rate": {
"current": 0.4231,
"previous": 0.3912,
"delta": 0.0319
},
"citation_rate": {
"current": 0.1204,
"previous": 0.135,
"delta": -0.0146
},
"share_of_voice": {
"current": 0.381,
"previous": 0.3502,
"delta": 0.0308
},
"trend_series": {
"mention": [
{
"date": "2026-09-01",
"value": 0.4
}
],
"citation": [
{
"date": "2026-09-01",
"value": 0.1
}
]
}
}
}{
"code": 4022,
"messages": "Invalid, revoked or expired API key.",
"data": null
}{
"code": 4023,
"messages": "This API key does not have the scope required for this request.",
"data": {
"required": [
"visibility:read"
],
"missing": [
"visibility:read"
]
}
}AI visibility
Get visibility overview
Mention rate, citation rate and share of voice for the period, compared with the previous period, plus daily trends.
Requires visibility:read.
GET
/
visibility
/
overview
Get visibility overview
Authorizations
bearerAuthapiKeyHeader
Your API key: Authorization: Bearer API Key Value
Query Parameters
The period to report on. The previous period of the same length is returned for comparison.
Available options:
7d, 30d, 90d